Review and deploy Timeless skin
Closed, ResolvedPublic

Subscribers
Tokens
"Party Time" token, awarded by RandomDSdevel."Like" token, awarded by Liuxinyu970226."Yellow Medal" token, awarded by IKhitron."Love" token, awarded by El_Grafo."Like" token, awarded by MGChecker."Like" token, awarded by Jc86035."Love" token, awarded by Amire80."Like" token, awarded by Mattho69.
Assigned To
Authored By
Paladox, Dec 31 2016

Description

Hi this is a feature request, but could we add Timeless to the wmf wikis please?

Timeless is modern skin whereas vector does not look modern.

Communities queried

WikiDiscussionStarted byDateResultDeployed
fr.wiktionarylocal consensus@DerecksonFebruary 2017
fr.wikinewslocal consensus@Mattho69February 2017
fr.wikiversitylocal consensus@DerecksonMarch 2017
commonslocal consensus@IsarraMarch 2017
en.wikisourcelocal consensus@IsarraMarch 2017
fr.wikisourcelocal consensus@TptMay 2017
he.wikisourcelocal consensus@Amire80August 2017
he.wikipedialocal consensus@Amire80August 2017
de.wikipedialocal consensus@MGCheckerAugust 2017
fr.wikipedialocal consensus@DerecksonAugust 2017
en.wikipedialocal consensus@DysklyverOctober 2017
zh.wikipedialocal consensus@Alexander_MiselOctober 2017
en.wiktionarylocal consensus@jberkelOctober 2017
all wikis

Related Objects

There are a very large number of changes, so older changes are hidden. Show Older Changes

@Isarra @Framawiki I suggest we do the deployment just before or after a SWAT window, so we let the SWAT full time for other changes.

When is the best for you?

Paladox added a comment.EditedSep 26 2017, 2:09 PM

@Dereckson or @Isarra hi, i am wondering could you start the local consensus on the en wiki for deployment there please?

Isarra added a comment.EditedSep 26 2017, 3:03 PM

If you need me around, I recommend anything that's not US evening. Or next monday/tuesday. Other than that I'm not sure it matters too much.

@Dereckson or @Isarra hi, i am wondering could you start the local consensus on the en wiki for deployment there please?

I thought that the plan was to try this skin on some of the wikis outside of the pedias to see how well it worked, and what needed tweaking for showtime. And to facilitate that some communities went through their consensus many months ago and are still waiting to do their targeted trials.

Now people are trying to get these limited resources off to undertake consensus on other wikis? Can we just go with the plan around getting these functionality trials undertaken? Supporting enWP will just suck resources.

I don't really understand this argumentation. The worst thingg that can happen is that the skin doesn't work completely on an wiki and someone will fix it within a timespan of some weeks. As it is just an optional feature I don't see any problem there. It isn't like there would be any guarantee that this skin works perfectly.

Change 377864 had a related patch set uploaded (by Framawiki; owner: Framawiki):
[operations/mediawiki-config@master] Enable Timeless skin on 5 wikis

https://gerrit.wikimedia.org/r/377864

Added in deployments table for European Mid-day SWAT in Monday.

IKhitron added a comment.EditedOct 17 2017, 12:45 PM

Change 377864 had a related patch set uploaded (by Framawiki; owner: Framawiki):
[operations/mediawiki-config@master] Enable Timeless skin on 5 wikis

https://gerrit.wikimedia.org/r/377864

Added in deployments table for European Mid-day SWAT in Monday.

Hi. What's up, it's already Tuesday? Thank you.

Whenever the window for those wikis winds up being, could someone give me a heads up beforehand so I can be sure to be around to fix stuff? (Note: I'm back in the US now, and only awake this week between 15:30 and 3:30 UTC and I make no guarantees about being coherent or understanding a thing about what's going on even during those hours because I'm still apparently sick, but if stuff happens before then, I can also just deal with it once up, or stuff. If you don't actually need me around, that's great too. Thank you for bearing with me. I would like to stop being sick now.)

Isarra added a comment.EditedOct 17 2017, 8:11 PM

I submitted another grant proposal regarding getting financial support for Timeless: https://meta.wikimedia.org/wiki/Grants_talk:Project/Isarra/Post-deployment_support

Technically the community comments period closes today, but I've been really sick over the past two weeks and wasn't able to work on it or get word out until now, so I'm just telling all y'all now. What this means is that there is no guaranty that any input provided after today, or any changes subsequently made, will be factored into the decision to fund it, but if you can get it in within the next week, it's most likely to still apply. Nonetheless it will all be appreciated and used, so please comment, raise any concerns, and help me to work on this and get a better idea where we all stand. Even if it doesn't help this grant specifically, it is likely we may be able to use feedback/comments/support for justification for funding from other sources, or to help guide the work in general with or without funding.

I'd also appreciate it greatly if folks who speak french and whatnot could go let the relevant wiki communities know as well.

Can someone add this to en.wikipedia as an optional skin please. ~~~~

Can someone add this to en.wikipedia as an optional skin please. ~~~~

To this point in time there has been the request to point to a local consensus at the wiki for where it is being requested.

Alexander_Misel added a comment.EditedOct 29 2017, 1:12 AM

Local consensus on zhwiki. Anyone could help deploy Timeless on Chinese Wikipedia?

Paladox updated the task description. (Show Details)Oct 29 2017, 1:23 AM
Paladox updated the task description. (Show Details)
Paladox updated the task description. (Show Details)Oct 29 2017, 1:27 AM
Restricted Application added a subscriber: Cosine02. · View Herald TranscriptOct 29 2017, 1:27 AM
Paladox updated the task description. (Show Details)Oct 29 2017, 1:37 AM

@Dereckson or @Issara should we deploy this skin to commons, en.source, he.wikisource, he.wikipedia, de.wikipedia, en.wikipedia (RFC still open, but everyone who commented supported the skin) and zh.wikipedia?

Change 387069 had a related patch set uploaded (by BryanDavis; owner: Bryan Davis):
[operations/mediawiki-config@master] Add Timeless skin to wikitech

https://gerrit.wikimedia.org/r/387069

If you're to add the skin to enwiki, close the RfC as successful first (I wouldn't because I participated in it).

Paladox updated the task description. (Show Details)Oct 29 2017, 11:40 AM

Change 387069 merged by jenkins-bot:
[operations/mediawiki-config@master] Add Timeless skin to wikitech

https://gerrit.wikimedia.org/r/387069

Mentioned in SAL (#wikimedia-operations) [2017-10-30T18:08:32Z] <thcipriani@tin> Synchronized wmf-config/InitialiseSettings.php: SWAT: [[gerrit:387069|Add Timeless skin to wikitech]] T154371 (duration: 00m 51s)

Paladox removed a subscriber: Paladox.Nov 2 2017, 7:45 AM
Paladox added a subscriber: Paladox.

@Isarra @Framawiki I suggest we do the deployment just before or after a SWAT window, so we let the SWAT full time for other changes.

When is the best for you?

So can you purpose a window for "5 wikis" ? I'm available on morning SWAT, no particular weekday.

The English Wikipedia RfC has been closed with unanimous support for enabling Timeless.

Hmm...Has anybody got a definitive idea about the expected time-frame for the deployment at en.wiki?

I'd more interested in some of the other wikis that put their approvals up months ago.

At this point we should just deploy Timeless as opt-in everywhere.

stjn added a comment.Nov 10 2017, 2:57 AM

At this point we should just deploy Timeless as opt-in everywhere.

It is not a preferred or a desirable solution until the skin will meet the suggestions laid out in design review by WMF Design team. It is simply not right or responsible to require local technicians in Wikimedia projects to support and look after problems in another skin when ideally at this point there should be only 3 options already (Vector, Monobook, Minerva).

He7d3r added a subscriber: He7d3r.Nov 10 2017, 6:42 PM

At this point we should just deploy Timeless as opt-in everywhere.

It is not a preferred or a desirable solution until the skin will meet the suggestions laid out in design review by WMF Design team. It is simply not right or responsible to require local technicians in Wikimedia projects to support and look after problems in another skin when ideally at this point there should be only 3 options already (Vector, Monobook, Minerva).

I don't think that anybody requires it. I see no problem at all with having more opt-in skins as long as they don't cause any other damage. Examples of other damage include:

  • Bugs that affect people who don't use this skin.
  • Local customizations (e.g. in Common.css) that are needed for this skin and affect people who use other skins. (Having to make local customizations is itself a problem, but hey, it's done for Vector and Monobook a lot...)
  • Requiring volunteer translators at translatewiki.net to translate things that are not used by most people. (Example: Before June 12, 2017, some messages that were only used in Cologne Blue and a couple of even more obscure skins had to be translated as part of core MediaWiki.)
  • Having way too many options in the preferences. At MediaWiki, where Timeless is deployed as opt-in, there are currently six skin options. Six is not too many. I'd say that more than ten is probably too many. But hey, you can always remove Modern and Cologne Blue (and —shhhhhh, don't tell anyone— Monobook).

As far as I can see, the Timeless skin does not cause any of the above. If you're interested in it, tinker with it. If you don't, ignore it. The problem begins when you can't ignore it. Currently this problem is much bigger with —shhhhhh, don't tell anyone— Monobook.

As long as the skin is there only for experiments, it's fine. Doing these experiments is generally desirable—it's not really possible to develop a perfect skin in a clean room without actually running it on a bunch of wikis with real content and real users.

Yeah, we should really either deploy it to all the remaining ones with specific consensus soon and then follow up with the rest, or just... do them all and be done with it. These waits have probably seemed completely ridiculous to the actual users, and the worst that's happened anywhere so far seems to be header overflows, which just mean Timeless itself looks stupid.

And it looks pretty stupid to begin with, so...

I'd also agree to activate it everywhere, which makes more sense. Does anyone see any other reasons not to?

Note that the English Wiktionary community decided to support for enabling the Timeless skin.

matmarex updated the task description. (Show Details)Mon, Nov 20, 3:39 PM
matmarex updated the task description. (Show Details)Mon, Nov 20, 3:41 PM

Change 392576 had a related patch set uploaded (by Brian Wolff; owner: Brian Wolff):
[operations/mediawiki-config@master] Enable Timeless everywhere

https://gerrit.wikimedia.org/r/392576

stjn added a comment.Tue, Nov 21, 4:18 PM

I don't think that anybody requires it. I see no problem at all with having more opt-in skins as long as they don't cause any other damage.
...
As long as the skin is there only for experiments, it's fine. Doing these experiments is generally desirable—it's not really possible to develop a perfect skin in a clean room without actually running it on a bunch of wikis with real content and real users.

I really don’t see how having enough technical debt already justifies adding it. There is literally no ability to turn off a skin from a Wikimedia project, so local technicians end up supporting Modern for those three people using it and now will be expected to support Timeless for those five people that would experiment with it.

There are already projects for ‘testing stuff’ − those are Test Wikipedias and MediaWiki.org. The whole Wikimedia infrastructure is not for some experiments that, once added, will be here for another 10 years until someone already gets to remove another bunch of unused skins that were once added with a premise of support by volunteer developers.

Isarra added a comment.EditedTue, Nov 21, 5:47 PM

I really don’t see how having enough technical debt already justifies adding it.

I'm not sure anyone made that argument in the first place. That's simply not a reason not to; the reason for adding Timeless everywhere is that more and more projects keep requesting it anyway and we're already completely behind with the whole 'adding one by one' approach. Given that every single project that has had the discussion has wound up with consensus for, it makes sense to not have them have to keep asking.

There is literally no ability to turn off a skin from a Wikimedia project so local technicians end up supporting Modern for those three people using it and now will be expected to support Timeless for those five people that would experiment with it.

This is just incorrect. Turning off any skin is as simple as changing one line of the configuration to disable it.

There are already projects for ‘testing stuff’ − those are Test Wikipedias and MediaWiki.org.

Yes, Timeless was tested on testwiki and mw.org - to ensure it didn't bring the site down. That's performance testing. This is user testing, as those projects do not represent the user experiences of normal content projects, with their various languages, workflows, content, and methods of user interaction. We need in-environment user testing in order to get information on the different bugs and issues that come up in practice, when normal users go about doing normal things, with all the real interactions that come with this, with other users, different types of content, and also the other extensions and gadgets of the environment itself.

The whole Wikimedia infrastructure is not for some experiments that, once added, will be here for another 10 years until someone already gets to remove another bunch of unused skins that were once added with a premise of support by volunteer developers.

Technically speaking, the older skins all are maintained by volunteer developers. That's why they still work.

But in order to move forward, new skins are exactly what we need in order to explore possible solutions to our existing problems, and help develop better infrastructure to support more modern interfaces, editing, and development in general. This is why it's so important that work on Timeless and Minerva continue, because even if neither of those are actually the future of the Wikimedia frontend and brand themselves, they are paving the way with what can be done and what users - editors and readers - want, expect, and use from the interface. If you want to get rid of the old skins, help us get out of this stagnation we've been in for the past ten years so we can actually move forward.

I really don’t see how having enough technical debt already justifies adding it. There is literally no ability to turn off a skin from a Wikimedia project, so local technicians end up supporting Modern for those three people using it and now will be expected to support Timeless for those five people that would experiment with it.

I'd argue that having 10+ per-wiki config settings actually means more technical debt than just switching it on globally. It also reduces future support / community discussion overhead.

Of course it would be great if we had a modern "officially" supported skin. Timeless looks like a good step in that direction.

Change 392576 merged by jenkins-bot:
[operations/mediawiki-config@master] Enable Timeless everywhere

https://gerrit.wikimedia.org/r/392576

Bawolff closed this task as Resolved.Wed, Nov 22, 12:29 AM
Bawolff assigned this task to Isarra.
Bawolff added a subscriber: Bawolff.

I really don’t see how having enough technical debt already justifies adding it. There is literally no ability to turn off a skin from a Wikimedia project, so local technicians end up supporting Modern for those three people using it and now will be expected to support Timeless for those five people that would experiment with it.

Funny, I don't see nostlogia, chick, standard, simple, MySkin, amethyst, montparnasse, paddington or DaVinci skins on enwikipedia any more. Unmaintained skins do get removed.

At this point enough people are opting in, that its more work to have a whitelist than a blacklist. Any wiki that doesn't want timeless can file a bug requesting that it be removed from that wiki.

Since its now deployed everywhere, I guess this bug can be marked as resolved.

Iniquity reopened this task as Open.Wed, Nov 22, 1:33 AM

Ahahahahaha. Stop, what? Are you seriosly?

Dereckson added a comment.EditedWed, Nov 22, 1:40 AM

@Iniquity As there is a strong support for the skin, it's convenient to deploy it everywhere.

First, that allows users using this skin on a wiki to have a consistent design across all Wikimedia projects.

Then, if a wiki doesn't want it, we can disable it for this wiki. For that, just launch a discussion on the village pump or a full RFC according your wiki usage, and get a consensus to disable it — I know you'd like to say there wasn't such a on-wiki consensus to deploy it, but we deploy code to Wikimedia cluster several times per week, without asking such consensus, and this skin is a part of this code package. The local consensus isn't for or against the code deployment, but to authorize the community request for a deployer to reconfigure your wiki specific settings.

Ahahahahaha. Stop, what? Are you seriosly?

If you want something reverted, please provide a rationale.

stjn added a comment.Wed, Nov 22, 2:01 AM

I'm not sure anyone made that argument in the first place. That's simply not a reason not to; the reason for adding Timeless everywhere is that more and more projects keep requesting it anyway and we're already completely behind with the whole 'adding one by one' approach. Given that every single project that has had the discussion has wound up with consensus for, it makes sense to not have them have to keep asking.

I was avoiding this conversation up until now, but I am going to respond as much as I can to this outrageous decision-making process that happened right here. First, you have enabled the skin on some projects to ‘test the waters’. Now, that modest support for testing the skin is presented as the same thing as enabling it as a permanent option in settings for all Wikimedia projects? I mean, seriously? About what consensus are you exactly talking about? There was consensus for testing stuff, there is, there was, there was never sought no consensus for indefinite (as it seems) enabling of this skin anywhere.

This is just incorrect. Turning off any skin is as simple as changing one line of the configuration to disable it.

Fine. Then, can a Wikimedia user from any project request a turn-off for Timeless on a project scope without any local discussion, given that you are providing no local or global discussions for enabling Timeless at a global level and no notice, no information about the scope of this and about the length of ‘testing period’ during which it will be enabled as an option? No? Then it is not as simple as changing one line of the configuration, this change by Brian Wolff, however, is for some reason.

This is why it's so important that work on Timeless and Minerva continue, because even if neither of those are actually the future of the Wikimedia frontend and brand themselves, they are paving the way with what can be done and what users - editors and readers - want, expect, and use from the interface. If you want to get rid of the old skins, help us get out of this stagnation we've been in for the past ten years so we can actually move forward.

I would argue that the stagnation is mainly in the fact that Wikimedia developers treat skin design and development as ‘whatevs’. Any volunteer can include his skin into a global code, for millions of users to see and use, just because he likes the stuff, without any considerations for its merits or its quality or the fact that links in indicators later appear in some old skin in blue colour on blue background. This is the stagnation − there are simply too many options to support, and not enough designers interested to support them. It is not paving the way to denounce (as it stands) designer’s feedback to the skin and go on with enabling it in its current form. Minerva, despite its shortcomings, was at least developed by designers as it was; I wish that other projects of the old era of ‘whatevs’ type of skin development would be also.

Of course it would be great if we had a modern "officially" supported skin. Timeless looks like a good step in that direction.

Then develop one. Officially supported by both designers and developers.

Funny, I don't see nostlogia, chick, standard, simple, MySkin, amethyst, montparnasse, paddington or DaVinci skins on enwikipedia any more. Unmaintained skins do get removed.

Uh-huh. We removed four garbage skins in 2014 and some others in ancient times and that will definitely be a sign that Timeless will get removed at some point other than ‘Isarra lost interest in the project and no other developers have signed up to the task’. This is exactly the attitude I am against, you are demonstrating it in the most clear terms possible.

Waiting for the answer on the question of turning off this skin above.

Paladox closed this task as Resolved.Wed, Nov 22, 2:03 AM

Re closing as resolved as you need community consensus to disable it on your wiki.

stjn added a comment.EditedWed, Nov 22, 2:04 AM

Re closing as resolved as you need community consensus to disable it on your wiki.

This is completely nuts. I guess I can enable any extension now for the purposes of ‘testing it’ on enough wikis and then turn it on by default everywhere, without any notice and without any information about the timespan and the status (is it still ‘just testing’ or have you abandoned this line already?) of deploying.

Iniquity added a comment.EditedWed, Nov 22, 2:16 AM

Have you ever opened the skin on working wiki? Have you ever tested it on working wiki? I think no. 10 patches about 3 month... Seriously?

Have you ever opened the skin on working wiki? Have you ever tested it on working wiki? I think no. 10 patches about 3 month... Seriously?

Yes, and yes. As mentioned above, one of the best parts about Timeless is that it's identifying areas that are not skin-agnostic, like e.g. T180663 was fixed in core. I think you should know that I'm one of the most aggressive people for "if no one is maintaining it, lets turn it off" - and I'm advocating for this skin to be deployed. There's a wide range of developers in addition to Isarra who are interested in seeing this project move forward.

Now, that modest support for testing the skin is presented as the same thing as enabling it as a permanent option in settings for all Wikimedia projects?

We were never testing if the skin worked. We were testing if the users liked the skin.

I was avoiding this conversation up until now, but I am going to respond as much as I can to this outrageous decision-making process that happened right here. First, you have enabled the skin on some projects to ‘test the waters’. Now, that modest support for testing the skin is presented as the same thing as enabling it as a permanent option in settings for all Wikimedia projects? I mean, seriously? About what consensus are you exactly talking about? There was consensus for testing stuff, there is, there was, there was never sought no consensus for indefinite (as it seems) enabling of this skin anywhere.

There was consensus for testing stuff, a lot of groups asked for "me too", to the point that continously adding wikis was annoying, so I submitted a patch to add it to all wikis.

Fine. Then, can a Wikimedia user from any project request a turn-off for Timeless on a project scope without any local discussion, given that you are providing no local or global discussions for enabling Timeless at a global level and no notice, no information about the scope of this and about the length of ‘testing period’ during which it will be enabled as an option? No? Then it is not as simple as changing one line of the configuration, this change by Brian Wolff, however, is for some reason.

If you want to change something affecting a single wiki, you need consensus of that wiki. Changes affecting all wikis don't need formal consensus because we do hundreds of such changes a month and it is impractical to ask about every single one. All such changes need is rough agreement of some developers and a general belief that most communities probably want it. This change has agreement of several developers, there were many communities asking for it, and there hasn't been a single community where the topic was raised that didn't result in them asking for the skin. Thus I consider the change appropriate.

Have you ever opened the skin on working wiki? Have you ever tested it on working wiki? I think no. 10 patches about 3 month... Seriosly?

How active the development of the skin is is beside the point.

I would argue that the stagnation is mainly in the fact that Wikimedia developers treat skin design and development as ‘whatevs’. Any volunteer can include his skin into a global code, for millions of users to see and use, just because he likes the stuff, without any considerations for its merits or its quality or the fact that links in indicators later appear in some old skin in blue colour on blue background.

This is not true. Getting a skin deployed is hard. Isarra did a good enough job that we agreed to deploy her skin. It happened because we thought she did a good job. It would not have happened if we did not like her skin.

stjn added a comment.EditedWed, Nov 22, 2:39 AM

Yes, and yes. As mentioned above, one of the best parts about Timeless is that it's identifying areas that are not skin-agnostic, like e.g. T180663 was fixed in core. I think you should know that I'm one of the most aggressive people for "if no one is maintaining it, lets turn it off" - and I'm advocating for this skin to be deployed. There's a wide range of developers in addition to Isarra who are interested in seeing this project move forward.

Probably not enough, given that the page from the task shows like this in my Firefox 57: https://i.imgur.com/dICdOju.png
What else can you say.

We were never testing if the skin worked. We were testing if the users liked the skin.

Well, this was false advertising then at all stages of its development. You repeatedly lied to users then. They gave you a consensus for testing the skin in a local project, you took it as a consensus of continuous deployment. It is simply wrong to cast some of those discussions listed above (Commons, EnWiki, among others) as a consensus for that kind of a development.

There was consensus for testing stuff, a lot of groups asked for "me too", to the point that continously adding wikis was annoying, so I submitted a patch to add it to all wikis.

I do not object to that, given that you 1) provide a timeline in which testing will conclude itself; 2) inform the communities about the fact that you have decided to do this, why and when it will become unavailable again. It is not right to enable a skin for indefinite time and call it ‘testing’.

If you want to change something affecting a single wiki, you need consensus of that wiki. Changes affecting all wikis don't need formal consensus because we do hundreds of such changes a month and it is impractical to ask about every single one.

You haven’t asked for a change in my local project, why should I? I would be only restoring status quo by doing this, you are interrupting it without a proper reasoning to do so.

This is not true. Getting a skin deployed is hard. Isarra did a good enough job that we agreed to deploy her skin. It happened because we thought she did a good job. It would not have happened if we did not like her skin.

It is not addressing my point in any way. This is exactly what I was worried about and what I was telling about after learning about this skin first: there was no proper discussion with (WMF) designers, not with some random developers who ‘liked the skin’ enough to get it up and running on all Wikimedia wikis without a proper discussion, about the merits of the skin. I argue that this is the action that should’ve been taken before any indefinite enabling of the skin on a global level. I could not care less if individual developers like this skin or not, they are not the people who should take decisions about site design.

Please disable Timeless skin on Russian Wikipedia the same way you enabled it − without any discussion with local community and without any giving any information about this to the local community. Hope other projects do the same.

Probably not enough, given that the page from the task shows like this in my Firefox 57: https://i.imgur.com/dICdOju.png
What else can you say.

I can say that the patch I linked hasn't been deployed yet, so of course it's still not fixed. You also seem to have some other issues like the search bar text being moved down a line? I didn't find a bug report for that though, have you filed one?

Yes, and yes.

I do not object to that, given that you 1) provide a timeline in which testing will conclude itself; 2) inform the communities about the fact that you have decided to do this, why and when it will become unavailable again. It is not right to enable a skin for indefinite time and call it ‘testing’.

I do not believe at any time that anyone said it would neccesarily be a temporary test. What happens to Timeless in the long term will depend on user response and other things we cannot predict.

Well, this was false advertising then at all stages of its development. You repeatedly lied to users then. They gave you a consensus for testing the skin in a local project, you took it as a consensus of continuous deployment. It is simply wrong to cast some of those discussions listed above (Commons, EnWiki, among others) as a consensus for that kind of a development.

I disagree. I do not think any of those discussions implied a limitted time test. I don't think the participants of those discussions would interpret them that way.

I do not object to that, given that you 1) provide a timeline in which testing will conclude itself; 2) inform the communities about the fact that you have decided to do this, why and when it will become unavailable again. It is not right to enable a skin for indefinite time and call it ‘testing’.

The test will go on until:

A) Its determined to be a success, in which case the skin is permenently deployed (we're rapidly approaching here)
B) It is determined that people don't like it, and we undeploy the skin.

You haven’t asked for a change in my local project, why should I? I would be only restoring status quo by doing this, you are interrupting it without a proper reasoning to do so.

Nobody ever claimed the process was fair or equal. You can ask your local project to opt out, or you could keep things the way they are. Those are your two choices. (The third choice, is you could convince other developers that my patch is inapropriate, and have them revert me).

It is not addressing my point in any way. This is exactly what I was worried about and what I was telling about after learning about this skin first: there was no proper discussion with (WMF) designers, not with some random developers who ‘liked the skin’ enough to get it up and running on all Wikimedia wikis without a proper discussion, about the merits of the skin. I argue that this is the action that should’ve been taken before any indefinite enabling of the skin on a global level. I could not care less if individual developers like this skin or not, they are not the people who should take decisions about site design.

We have no intention of making this the default skin any time soon, so I'm not sure if the ball is really in the design team's court. That said, if the design team has concerns about any action I took, I would encourage them to reach out to me and make their concerns known.

Please disable Timeless skin on Russian Wikipedia the same way you enabled it − without any discussion with local community and without any giving any information about this to the local community. Hope other projects do the same.

We won't be doing that without discussion on ruwiki to ensure that that is the general will of that community.

Iniquity added a comment.EditedWed, Nov 22, 2:57 AM

We won't be doing that without discussion on ruwiki to ensure that that is the general will of that community.

Hm... Why you deployed it on ruwiki without discussion on ruwiki and without testing it in other sites?

We have no intention of making this the default skin any time soon, so I'm not sure if the ball is really in the design team's court.

It doesnt matter. All skins of Wikimedia's sites should be controlled by the rules of Wikimedia's StyleGuide. The Design is face of the projects.

I really want to hear @Volker_E's opinion.

@Iniquity here is an alternative point of view.

  1. this is an optional item that any user can select if they choose, it is not a default
  2. the skin should have no functionality change
  3. at any time someone who opts-in to the skin can immediately opt-out
  4. the trial of the skin that has been limited, and had been problematic to be rolled out to other wikis wishing to trial, this has now been resolved with immediate effect (yippee)

So it is both reasonable and practicable to roll-out universally something that has been widely requested by major wikis to be available a beta where it is does not have an impact on the quality of the wiki, nor is it forced onto (new) users without an overt review.

Some thoughts for the developers

  • that the skin should be clearly identified as beta in the preferences, with a help link, and a feedback link
  • that some hard dates are set for review, to determine whether we stop, go, or continue review. We should have at least one hard date set, and maybe some tentative subsequent dates.
  • clarity for how and when subsequent decision-making will occur

These demonstrate that people should not get overly attached to beta functions, and it enables clarity on where, when and how we will do things.

@stjn your commentary is hyperbolic. While lots of things are possible, they are also improbable to occur. Yes, at any time we could all force a new skin and undertake world domination while the update occurs. No, the reality is that it won't happen in such a way at wikis.

.

Some thoughts for the developers

  • that the skin should be clearly identified as beta in the preferences, with a help link, and a feedback link

That sounds reasonable. Id have to look in to how changable the special:preferences layout is. Im not sure off the top of my head. (I suppose if worst came to worse we could use js but thats really ugly)

However, Id be opposed to using the "beta features" tab for this, as i dont think it makes sense to have an off by default preference controlling weather a second off by default preference exists.

  • that some hard dates are set for review, to determine whether we stop, go, or continue review. We should have at least one hard date set, and maybe some tentative subsequent dates.

A prerequisite to that would be to have some metrics to evaluate the skin by. Right now the criteria seems to be that at least some people like and use the skin, which isnt objective enough.

Im supportive of this in principle if some reasonable criteria can be established beforehand.

  • clarity for how and when subsequent decision-making will occur

Right now there is no subsequent plans that i am aware of beyond what any other skin/extension would be subject to (i.e. if its causing problems due to bit rot or any other reason and nobody is fixing it, then it would get removed like any other extension/skin)

These demonstrate that people should not get overly attached to beta functions, and it enables clarity on where, when and how we will do things.

@stjn your commentary is hyperbolic. While lots of things are possible, they are also improbable to occur. Yes, at any time we could all force a new skin and undertake world domination while the update occurs. No, the reality is that it won't happen in such a way at wikis.

Isarra has a grant proposal to do further development work on Timeless between jan - june 2018 https://meta.wikimedia.org/wiki/Grants:Project/Isarra/Post-deployment_support . Assuming the grant is accepted, an obvious time to do a review to determine the future status of Timeless would be at (or near) the end of that grant, e.g. say June 10, 2018. (When i say future status I mean whether or not to keep Timeless as an optional skin - just to be 100% clear that we are not talking about making it the default skin)

.

Some thoughts for the developers

  • that the skin should be clearly identified as beta in the preferences, with a help link, and a feedback link

That sounds reasonable. Id have to look in to how changable the special:preferences layout is. Im not sure off the top of my head. (I suppose if worst came to worse we could use js but thats really ugly)

However, Id be opposed to using the "beta features" tab for this, as i dont think it makes sense to have an off by default preference controlling weather a second off by default preference exists.

I wasn't meaning moving it to the BETA tab. I was meaning an inline information where it currently appears that identifies it as beta. If there is scope to add leads to information about the skin, its trial, and where feedback is welcomed. At the moment there is simply no context to the skin, it has appeared as a new skin with the same level of importance and permanence as others.

We may even wish to put a note to wikitech-ambassadors, and/or an announcement in Tech-News. We need to manage expectations.

  • that some hard dates are set for review, to determine whether we stop, go, or continue review. We should have at least one hard date set, and maybe some tentative subsequent dates.

A prerequisite to that would be to have some metrics to evaluate the skin by. Right now the criteria seems to be that at least some people like and use the skin, which isnt objective enough.

Im supportive of this in principle if some reasonable criteria can be established beforehand.

I think that sounds good, and it should be user-side and developer-side. I would like to see those who set user experience and technical assessment lead us on setting such criteria.

  • clarity for how and when subsequent decision-making will occur

Right now there is no subsequent plans that i am aware of beyond what any other skin/extension would be subject to (i.e. if its causing problems due to bit rot or any other reason and nobody is fixing it, then it would get removed like any other extension/skin)

Hopefully that will settle the restless if we can express that.

Isarra has a grant proposal to do further development work on Timeless between jan - june 2018 https://meta.wikimedia.org/wiki/Grants:Project/Isarra/Post-deployment_support . Assuming the grant is accepted, an obvious time to do a review to determine the future status of Timeless would be at (or near) the end of that grant, e.g. say June 10, 2018. (When i say future status I mean whether or not to keep Timeless as an optional skin - just to be 100% clear that we are not talking about making it the default skin)

Sometime in June 2018 sounds reasonable time for a milestone report and evaluation.

It doesnt matter. All skins of Wikimedia's sites should be controlled by the rules of Wikimedia's StyleGuide. The Design is face of the projects.

I really want to hear @Volker_E's opinion.

@Iniquity: If you find violations against the style guide in a skin, file a bug report against that skin. Removing Volker as there is no clear, specific question for him.

Qgil moved this task from Backlog to Team radar on the Developer-Relations board.

I'm very unhappy to see that a patch posted yesterday was merged this morning, without prior notice to this task, no "final patch scheduled for tomorrow swat". No clear consensus was found. At least, I would have liked to be informed to participate in the tests on the main wikis. Does somebody check that commons, enwiki and wikidata don't have problems to access to Special:Preferences to disable the skin ? What about the compatibility with Wikibase, has it been checked? As @Dereckson said previously, does a dedicated deployment windows was created to verify that there is no significant problem, with the developer @Isarra, as proposed also above ?
A deployment of this scale deserves a communication, a blog post, or at least a note on social networks, it' an important change to the Wikipedia image that could have been used. One can also imagine a centralnotice banner to logged-in users. What about the problem of missing translations? Has an addition been made on Special:Preferences indicating that the skin is in "beta", where to translate it and where to report bugs?
Sorry to have been absent for 24 hours. Many of the questions that have been raised in recent days will have to be resolved after the global deployment.

we had consensus from commons and enwiki to deploy.

Does somebody check that commons, enwiki and wikidata don't have problems to access to Special:Preferences to disable the skin

This doesnt really make sense. Its disabled by default. You dont have to go to special:preferences to disable it, thats the default state.

does a dedicated deployment windows was created to verify that there is no significant problem, with the developer@Isarra, as proposed also above ?

It was a swat window. At the time i did not think it would be controversial. Isarra was aware of the global deployment.

What about the problem of missing translations? 

Its been on translatewiki for over a year now. It is not enabled by default. I consider this sufficient notice for non highly used messages. In fact this is orders of magnitude more notice than most messages get.

A deployment of this scale deserves a communication, a blog post, or at least a note on social networks, it' an important change to the Wikipedia image that could have been used. One can also imagine a centralnotice banner to logged-in users. 

This is not something big enough to require a blog post. Its something that could have one (blog posts are arbitrary) but thats something @Isarra could persue if she wants.

This is way to minor a thing for central notice spam imo.

Many of the questions that have been raised in recent days will have to be resolved after the global deployment.

Well given they were all asked after the deploy happened, id say thats a given.

o

matmarex removed a subscriber: matmarex.Thu, Nov 23, 7:49 PM